Bug 142144 - [new port]: haskell port devel/hs-safe
Summary: [new port]: haskell port devel/hs-safe
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-haskell (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-29 21:10 UTC by Jacula Modyun
Modified: 2010-01-03 00:40 UTC (History)
0 users

See Also:


Attachments
hs-safe.shar (3.89 KB, text/plain)
2009-12-29 21:10 UTC, Jacula Modyun
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jacula Modyun 2009-12-29 21:10:04 UTC
A library for increasing the safety of your code, by wrapping Prelude
functions that potentially crash. These functions can be used to reduce
the number of unsafe pattern matches in a program.
These functions can be used in conjunction with Catch.

http://www-users.cs.york.ac.uk/~ndm/safe/
Comment 1 Edwin Groothuis freebsd_committer 2009-12-29 21:10:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->haskell

haskell@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2010-01-02 23:00:14 UTC
pgj         2010-01-02 22:59:58 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/hs-safe        Makefile distinfo pkg-descr pkg-plist 
  Log:
  Partial functions from the Haskell base library, such as head and !!, modified
  to return more descriptive error messages, programmer defined error messages,
  Maybe wrapped results and default values.
  
  These functions can be used to reduce the number of unsafe pattern matches in
  your code.
  
  WWW: http://www-users.cs.york.ac.uk/~ndm/safe/
  
  PR:             ports/142144
  Submitted by:   Jacula Modyun <jacula(at)gmail.com>
  
  Revision  Changes    Path
  1.3735    +1 -0      ports/devel/Makefile
  1.1       +75 -0     ports/devel/hs-safe/Makefile (new)
  1.1       +3 -0      ports/devel/hs-safe/distinfo (new)
  1.1       +8 -0      ports/devel/hs-safe/pkg-descr (new)
  1.1       +13 -0     ports/devel/hs-safe/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Gabor Pali freebsd_committer 2010-01-03 00:40:17 UTC
State Changed
From-To: open->closed

The port has been committed.  Thank you for your submission!